import { Ref } from "vue";
export declare function useDraggable(list: Readonly<Ref<any[]>>, emit: any): {
    drag: Ref<boolean>;
    sort: () => void;
    onChangeList: ({ moved: { oldIndex, newIndex } }: {
        moved: {
            oldIndex: any;
            newIndex: any;
        };
    }) => void;
    dragOptions: {
        animation: number;
        group: string;
        disabled: boolean;
        ghostClass: string;
    };
};
