export interface UploadImagesOptions {
    maxFiles?: number;
    defaultImages?: string[];
    maxSize?: number;
    onFileSizeError?: (fileSize: number) => void;
}
export declare function useUploadImages({ maxFiles, defaultImages, maxSize, onFileSizeError }: UploadImagesOptions): {
    remove: (index: any) => void;
    clear: () => void;
    changeImageFile: (e: any) => void;
    images: import("vue").Ref<string[]>;
    inputFile: import("vue").Ref<any>;
    openReader: () => void;
    imageFiles: import("vue").ComputedRef<File[]>;
    imageFile: import("vue").ComputedRef<File | null>;
    loadImages: (imagesUrl: any) => void;
};
