import { MaybeRef, UseIntersectionObserverOptions } from '@vueuse/core';
type LoadImageOptions = {
    delayMs?: number;
    useInterceptionObsever?: boolean;
    interceptionObserverOptions?: UseIntersectionObserverOptions;
};
export declare function useLoadImage(src: MaybeRef<string>, options?: LoadImageOptions): {
    loaded: import("vue").Ref<boolean>;
    loadImage: () => void;
    imgVisible: import("vue").Ref<boolean>;
    target: import("vue").Ref<null>;
};
export {};
