import type { Ref } from 'vue';
import { ComputedRef } from 'vue';
export interface ScreenSize {
    w: number;
    h: number;
    sm: ComputedRef<boolean> | undefined;
    md: ComputedRef<boolean> | undefined;
    lg: ComputedRef<boolean> | undefined;
    xl: ComputedRef<boolean> | undefined;
    xxl: ComputedRef<boolean> | undefined;
    lsm: ComputedRef<boolean> | undefined;
    lmd: ComputedRef<boolean> | undefined;
    llg: ComputedRef<boolean> | undefined;
    lxl: ComputedRef<boolean> | undefined;
    lxxl: ComputedRef<boolean> | undefined;
    range: (min: number, max: number) => ComputedRef<boolean> | undefined;
}
export declare const screenSizeReactive: any;
export declare const ss: any;
export declare function createScreenSizeContext(): void;
export declare function useScreen(): Ref<ScreenSize>;
